﻿using Infragistics.Controls.Grids;
using Infragistics.Controls.Schedules;
using Infragistics.Controls.Schedules.Primitives;
using Infragistics.Windows;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamGanttListBackedProjectCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

        private void gantt_Loaded(object sender, RoutedEventArgs e)
        {
            XamGantt gantt = sender as XamGantt;
            ProjectTableGrid grid = Utilities.GetDescendantFromType(gantt, typeof(ProjectTableGrid), false) as ProjectTableGrid;
            grid.FilteringSettings.AllowFiltering = Infragistics.Controls.Grids.FilterUIType.FilterMenu;

            foreach(var x in grid.Columns)
            {
                if(!(x is TextColumn) && !(x.HeaderText.Equals("Name")))
                {                    
                    Column column = x as Column;
                    column.IsFilterable = false;                                        
                }                
            }
        }
    }
}
